%define name mures
%define version 0.5


Summary: Clone of Sega's "Chu Chu Rocket", a multi-player puzzle game
Name: %{name}
Version: %{version}
Release: %mkrel 6

Source0: http://prdownloads.sourceforge.net/mures/%{name}-%{version}.tar.bz2
Source10: %{name}-16.xpm.bz2
Source11: %{name}-32.xpm.bz2
Source12: %{name}-48.xpm.bz2
License: GPL
Packager: Guillaume Cottenceau <gc@mandrakesoft.com>
Url: http://mures.sourceforge.net/
Group: Games/Arcade
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: SDL_image-devel SDL_net-devel libSDL_ttf-devel XFree86-devel alsa-lib-devel autoconf automake esound-devel gcc texinfo
# Author: Adam D'Angelo <dangelo@ntplx.net>

%description
Mures is a cross-platform clone of Sega's "Chu Chu Rocket" written using
C. To start the game, run "mures -hN -aiM" where N and M are the number of
human and computer players at the local computer. Press enter to start the
game, press P to pause, and Q to quit.
- Player 1: Use the mouse to target, and click and drag in the desired
direction to place an arrow.
- Player 2: Use the arrow keys to target, and the number keypad to place
arrows.
- Player 3: Use A,W,S,D to target and I,J,K,L to place arrows.

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

mv $RPM_BUILD_ROOT/%{_bindir}/%{name} $RPM_BUILD_ROOT/%{_bindir}/%{name}.real
cat << EOF > $RPM_BUILD_ROOT/%{_bindir}/%{name}
#!/bin/sh
pushd %{_libdir}/%{name}
%{name}.real --no3d "\$@"
popd
EOF
chmod +x $RPM_BUILD_ROOT/%{_bindir}/%{name}

mkdir -p $RPM_BUILD_ROOT/%{_libdir}/%{name}
cp -a src/images src/maps src/sounds src/gui src/*.lua src/textures $RPM_BUILD_ROOT/%{_libdir}/%{name}
rm -rf $RPM_BUILD_ROOT/%{_libdir}/%{name}/{*,*/*}/Makefile*

mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" icon="%{name}.xpm" \
  needs="x11" section="Amusement/Arcade" title="Mures" \
  longtitle="Clone of Sega's Chu Chu Rocket"
EOF

mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
bzcat %{SOURCE10} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
bzcat %{SOURCE11} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
bzcat %{SOURCE12} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

%post
%{update_menus}
%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog INSTALL README TODO
%{_bindir}/*
%{_libdir}/%{name}
%{_menudir}/%{name}
%{_miconsdir}/%{name}.xpm
%{_iconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm

%changelog
* Thu Nov 09 2006 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5-6pclos2007
- Build for PCLinuxOS 2007

